=== debian/control ===
Source: ros-humble-rmf-traffic-editor
Section: misc
Priority: optional
Maintainer: Morgan Quigley <morgan@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libceres-dev, libeigen3-dev, libgoogle-glog-dev, libproj-dev, libqt5concurrent5, libqt5widgets5, libyaml-cpp-dev, qtbase5-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-index-cpp, ros-humble-rmf-utils, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-traffic-editor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, libgoogle-glog-dev, libproj-dev, ros-humble-ros-workspace
Description: traffic editor
